/* ALTO CONTRASTE */

.accessibility-contrast {  
    
    --primary-color: yellow; 
    --white-color: #FFF;
    --gradient: #000;  
    --gradient-hover: 000;  
    --bg-headline-color: #000;

    --text-color: #FFF;    
    --text-off-color: rgba(255,255,255,.8);
    
    --text-primary-color: #FFF;
    --text-dark-color: #000;
    --input-color: #000;

    --background-page-color: #000;
    --bg-color: #000;            
    --bg-primary-color: #FFF;
    --bg-secondary-color: #000;
    --tag-color: #000;
    --border-color: #FFF;
    --border-separator-color: #FFF;

    --select-color: #000;
    --selected-color: #000;
    --error-color: red;      
}

.accessibility-contrast,
.accessibility-contrast .block {
    background: var(--background-page-color) !important;
}

.accessibility-contrast .site-logo { filter: brightness(0) invert(1) !important; }

.accessibility-contrast a,
.accessibility-contrast .site-header .btn--search {
    color: var(--primary-color) !important;
}

.accessibility-contrast .site-header .btn--color {
    color: var(--bg-color) !important;
    background: yellow !important;
}

.accessibility-contrast .site-header .header--toolbar { border-bottom: 1px solid var(--border-color); }

.accessibility-contrast .btn {
    backdrop-filter: none !important;    
}

.accessibility-contrast .btn-primary,
.accessibility-contrast .btn-primary:hover {
    color: #000 !important;
    background: yellow !important;
    backdrop-filter: none !important;    
}

.accessibility-contrast .btn-secondary {
    color: #FFF !important;
    border: 1px solid var(--border-color);
}

.accessibility-contrast .btn-arrow {
    color: #000 !important;
    background: yellow !important;
}

.accessibility-contrast .btn-arrow::before {
    color: yellow !important;
    background: #000 !important;
}

.accessibility-contrast .block.background-color {
    --color: var(--background-color);
    background: var(--color);
}

.accessibility-contrast .site-header.sticked {
    background: rgba(0, 0, 0, 0.9);
    backdrop-filter: none;
}

.accessibility-contrast .site-header .site-nav,
.accessibility-contrast .site-header .search-box {
    background: rgba(0, 0, 0, 0.9);
    backdrop-filter: none;
}

.accessibility-contrast .search-box .search-form {
    background: rgba(0, 0, 0, .1);
    backdrop-filter: none;
}

.accessibility-contrast .search-box .search-form::before,
.accessibility-contrast .search-box input,
.accessibility-contrast .search-box .search-filters span {
    color: var(--text-color);
}

.accessibility-contrast .search-box .search-filter {
    color: var(--text-color);
    border: 1px solid var(--text-color);
}

.accessibility-contrast .search-box .search-filter.active {
    opacity: 1;
}

.accessibility-contrast .megamenu--menu.active {
    color: #000 !important;
}

.accessibility-contrast .megamenu--footer {
    border-top: 1px solid #FFF !important;
}


.accessibility-contrast .block .wp-block-heading::after { color: #FFF !important; }

.accessibility-contrast .block--headline {
    color: var(--text-color);
    border: 1px solid var(--text-color);
}

.accessibility-contrast .block--content p.has-small-font-size,
.accessibility-contrast .block--share .block--title,
.accessibility-contrast .wp-element-caption,
.accessibility-contrast .wp-block-table th,
.accessibility-contrast .wp-block-table td {
    color: var(--text-color);
}

.accessibility-contrast .block--content p a,
.accessibility-contrast .block--content ul a,
.accessibility-contrast .btn-link,
.accessibility-contrast .btn-outline {
    color: var(--primary-color);
}

.accessibility-contrast .btn-primary:hover {
    color: var(--primary-color);
    background: var(--white-color);
}

.accessibility-contrast .btn-primary-icon::before,
.accessibility-contrast .btn-primary-icon:hover::before,
.accessibility-contrast .block--page-heading .btn.btn-primary::before {
    color: yellow;
    background: #000;
}

.accessibility-contrast .btn-primary-icon:hover::before,
.accessibility-contrast .btn-secondary:hover::before {
    color: var(--white-color);
    background: var(--primary-color);
}

.accessibility-contrast .btn-secondary:hover::before,
.accessibility-contrast .btn-secondary::before,
.accessibility-contrast .btn-search {
    color: #000;
}

.accessibility-contrast .btn-search {
    background: #FFFFFF;
}

.accessibility-contrast .btn-icon {
    --color: var(--primary-color);
    color: var(--color);
}

.accessibility-contrast .btn-icon::after {
    background: rgba(0, 0, 0, .20);
    backdrop-filter: none;
}

.accessibility-contrast .btn-filter {
    color: var(--primary-color);
    border: 1px solid var(--primary-color) !important;
}

.accessibility-contrast .btn-filter::before {
    background: var(--primary-color);
}

.accessibility-contrast .site-nav-lang a {
    color: #000 !important;
}

.accessibility-contrast .site-nav-lang > ul > li > a::after,
.accessibility-contrast .site-nav-lang > ul > li > ul > li > a {
    border-left: 1px solid rgba(0, 0, 0, .3);
    color: #000;
}

.accessibility-contrast .site-nav-lang > ul > li > ul {
    background: rgba(0, 0, 0, 0.20);
    backdrop-filter: none;
}

.accessibility-contrast .site-nav-lang > ul > li:hover > a::after {
    border-right: 1px solid rgba(0, 0, 0, .3);
    border-left: 0;
}

.accessibility-contrast .site-nav--menu > ul > li > a,
.accessibility-contrast .site-nav--menu > ul > li > ul > li > a,
.accessibility-contrast .site-nav--contact .contact--title,
.accessibility-contrast .site-nav--contact p,
.accessibility-contrast .site-nav--contact p a,
.accessibility-contrast .site-header .site-nav-social .btn-icon i {
    color: var(--text-color);
}

.accessibility-contrast .site-nav--menu > ul > li > ul > li > a:hover {
    color: var(--primary-color);
}

.accessibility-contrast .site-nav--menu > ul > li > ul > li > a::before {
    color: var(--primary-color);
}

.accessibility-contrast .site-nav--contact {
    border-left: 1px solid rgba(0, 0, 0, .2);
}

.accessibility-contrast .wp-block-separator {
    background: var(--footer-color);
}

.accessibility-contrast .wp-block-quote p {
    color: var(--primary-color) !important;
    border-bottom: 1px solid rgba(0, 0, 0, .2);
}

.accessibility-contrast .wp-block-table th {
    background: var(--white-color);
}

.accessibility-contrast .piotnetforms {
    color: var(--text-color);
}

.accessibility-contrast .piotnetforms .piotnetforms-field-label {
    color: var(--text-color);
}

.accessibility-contrast .piotnetforms .piotnetforms-field,
.accessibility-contrast .piotnetforms .piotnetforms-field select,
.accessibility-contrast .block form select {
    color: var(--text-color);
    background: var(--background-color);
    border: 1px solid #FFF !important;
}

.accessibility-contrast .piotnetforms .piotnetforms-field.piotnetforms-acceptance-field,
.accessibility-contrast .piotnetforms .piotnetforms-field.piotnetforms-field-textual {
    border: 1px solid #FFF;
}

.accessibility-contrast .piotnetforms .piotnetforms-field::placeholder,
.accessibility-contrast .piotnetforms .piotnetforms-field::-moz-placeholder,
.accessibility-contrast .piotnetforms .piotnetforms-field:-ms-input-placeholder,
.accessibility-contrast .piotnetforms .piotnetforms-field::-ms-input-placeholder {
    color: var(--text-color);
}

.accessibility-contrast .piotnetforms .piotnetforms-acceptance-field[type="checkbox"],
.accessibility-contrast .piotnetforms .piotnetforms-field-option [type="radio"] {
    background: var(--text-color);
}

.accessibility-contrast .piotnetforms .piotnetforms-acceptance-field[type="checkbox"]:checked::after,
.accessibility-contrast .piotnetforms .piotnetforms-field-option [type="radio"]:checked::after {
    color: var(--text-color);
    background: var(--background-color);
}

.accessibility-contrast .piotnetforms .piotnetforms-button {
    color: var(--white-color) !important;
    background: var(--primary-color) !important;
}

.accessibility-contrast .block--newsletter .container > p { opacity: 1; }
.accessibility-contrast .block--newsletter .newsletter--form .piotnetforms .piotnetforms-field { border-color: transparent !important; }
.accessibility-contrast .block--newsletter .newsletter--form .piotnetforms .piotnetforms-field-container::after { background: #FFF !important; }

.accessibility-contrast .site-alert {
    background: var(--white-color);
    box-shadow: 16px -5px 60.3px 0px rgba(0, 0, 0, 0.10);
}

.accessibility-contrast .site-alert p {
    color: var(--text-color);
}

.accessibility-contrast .site-alert p strong,
.accessibility-contrast .site-alert p a {
    color: var(--primary-color);
}

.accessibility-contrast .site-alert .btn {
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
}

.accessibility-contrast .site-footer {
    color: var(--text-color);
    background: var(--footer-color);
}

.accessibility-contrast .site-footer .footer--column .site-nav > ul > li > a {
    color: #FFF !important;
}

.accessibility-contrast .site-footer a,
.accessibility-contrast .site-footer .footer--main p,
.accessibility-contrast .site-footer .footer--column p,
.accessibility-contrast .site-footer .footer--column p a,
.accessibility-contrast .site-footer .footer--title,
.accessibility-contrast .site-footer .site-nav-secondary > ul > li > a,
.accessibility-contrast .site-footer .site-nav-secondary > ul > li > ul > li > a {
    color: var(--text-color);
}

.accessibility-contrast .swiper .swiper-button-prev,
.accessibility-contrast .swiper .swiper-button-next { color: #000 !important; background: #FFF !important; }

.accessibility-contrast .block--filters-nav .filter-nav--more:has(.active) > .filter-nav--item,
.accessibility-contrast .block--filters-nav .filter-nav--item.active,
.accessibility-contrast .postslist--pagination .page-numbers.prev,
.accessibility-contrast .postslist--pagination .page-numbers.next,
.accessibility-contrast .postslist--pagination .page-numbers.current,
.accessibility-contrast .postslist--pagination .page-numbers:hover { color: #000 !important; }

.accessibility-contrast .block--hero .block--title strong,
.accessibility-contrast .block--banner .block--heading .block--title strong,
.accessibility-contrast .block--banner.banner-centered .block--heading .block--subtitle strong { background: transparent; background-clip: unset; -webkit-background-clip: unset; -webkit-text-fill-color: unset; }

.accessibility-contrast .block--separator .separator--icon { color: #000 !important; background: #FFF !important; }

.accessibility-contrast .block--carousel .slide--item .slide--info { background: #000 !important; }

.accessibility-contrast .block--tabs .tab--btn:not(.active) { color: yellow !important; background: transparent !important; }